Bug 246761 - convert inverses image
Summary: convert inverses image
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: ImageMagick   
(Show other bugs)
Version: 6
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Norm Murray
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-04 17:16 UTC by Need Real Name
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-05 03:38:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
original image (18.87 KB, image/gif)
2007-07-04 17:17 UTC, Need Real Name
no flags Details
convert x.gif -resize 300x y.jpeg (37.81 KB, image/jpeg)
2007-07-04 17:18 UTC, Need Real Name
no flags Details
convert x.gif z.jpeg (102.99 KB, image/jpeg)
2007-07-04 17:18 UTC, Need Real Name
no flags Details

Description Need Real Name 2007-07-04 17:16:38 UTC
On rpm -q ImageMagick
ImageMagick-6.3.2.9-3
 and other versions convert gif->jpeg
inverts image if resolution changes
 convert x.gif -resize 300x  y.jpeg
In the same time if resolution is the same - everything is OK

Comment 1 Need Real Name 2007-07-04 17:17:39 UTC
Created attachment 158526 [details]
original image

Comment 2 Need Real Name 2007-07-04 17:18:31 UTC
Created attachment 158527 [details]
convert x.gif -resize 300x  y.jpeg

convert x.gif -resize 300x  y.jpeg

Comment 3 Need Real Name 2007-07-04 17:18:56 UTC
Created attachment 158528 [details]
convert x.gif   z.jpeg

convert x.gif	z.jpeg

Comment 4 Norm Murray 2007-07-05 03:38:33 UTC
Original gif image has transparency which the jpeg format doesn't support at all. 

Relying on particular behavior in an undefined conversion is not recommended. If
you look closely at the converted image the difference is not an inversion, but
a value for the transparent region - without resize it is white, with resize it
is black. If you want certainty in what you're doing I suggest making sure you
don't have transparency in your image, or you expand your command line to create
a base layer image of the color you'd like the background to be, then overlay
the gif you are trying to convert and then run the resize and type conversion. 


Note You need to log in before you can comment on or make changes to this bug.